import { Image } from 'antd';

function getcolumns(setdrawer) {
  return [
    {
      title: '设备编号',
      dataIndex: 'equipmentNo',
      key: 'equipmentNo',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '设备名称',
      dataIndex: 'equipmentName',
      key: 'equipmentName',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    { title: '位置号', dataIndex: 'positionNo', key: 'positionNo' },
    {
      title: '设备类型',
      dataIndex: 'equipmentTypeName',
      key: 'equipmentTypeName',
      valueType: 'treeSelect',
      options: { path: '/asset/equipmentType/queryTreeList', params: {} },
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '设备型号',
      dataIndex: 'equipmentModelName',
      key: 'equipmentModelName',
      valueType: 'select',
      options: { path: '/asset/equipmentModel/query/selection', params: {} },
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '公司名称',
      dataIndex: 'organizationName',
      key: 'organizationName',
      valueType: 'select',
      options: { path: '/auth/sysDepartment/query/organization/selectbox', params: {} },
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '工厂名称',
      dataIndex: 'factoryName',
      key: 'factoryName',
      valueType: 'select',
      options: { path: '/auth/sysDepartment/query/depart/selectbox', params: {} },
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    { title: '部门名称', dataIndex: 'departmentName', key: 'departmentName' },
    {
      title: '车间名称',
      dataIndex: 'shopName',
      key: 'shopName',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    { title: '工段名称', dataIndex: 'sectionName', key: 'sectionName' },
    { title: '产线名称', dataIndex: 'productLineName', key: 'productLineName' },
    { title: '供应商', dataIndex: 'supplierName', key: 'supplierName' },
    { title: '设备原值（万元）', dataIndex: 'equipmentWorth', key: 'equipmentWorth' },
    {
      title: '图片地址',
      width: 100,
      dataIndex: 'pictureUrl',
      search: false,
      key: 'picList',
      valueType: 'uploadImage',
      fieldProps: {
        limit: 1,
      },
      formItemProps: {
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
      render: (text, row) => <Image width={70} src={row.pictureUrl} />,
    },
    {
      title: '二维码',
      width: 80,
      dataIndex: 'qrCodeUrl',
      key: 'qrCodeUrl',
      valueType: 'uploadImage',
      search: false,
      hideInForm: true,
      render: (text, row) => <Image width={70} src={row.pictureUrl} />,
    },
    { title: '状态名称', fixed: 'right', dataIndex: 'statusName', key: 'statusName' },
    { title: '设备状态', fixed: 'right', dataIndex: 'status', key: 'status' },
  ];
}

export default getcolumns;
